package converter.text;

/**
 * 全角英字→半角英字の変換を行うクラス。
 * @author Honeplus
 * @version $Id: FullwidthLatin2Halfwidth.java 23 2009-02-21 18:26:34Z Honeplus $
 */
public class FullwidthLatin2Halfwidth extends AbstractTextConverter {

	/**
	 * 全角英字→半角英字の変換を実施。
	 * @param c 変換元文字
	 * @return 変換後文字
	 */
	@Override
	public char convert(final char c) {
		// 全角英字→半角英字の変換
		if (c >= 'ａ' && c <= 'ｚ') {
			// 小文字
			return (char) (c - 'ａ' + 'a');
		} else if (c >= 'Ａ' && c <= 'Ｚ') {
			// 大文字
			return (char) (c - 'Ａ' + 'A');
		}
		// 該当しない場合、そのまま
		return c;
	}
}
