package converter.text;

/**
 * 全角数字→半角数字の変換を行うクラス。
 * @author Honeplus
 * @version $Id: FullwidthNumber2Halfwidth.java 23 2009-02-21 18:26:34Z Honeplus $
 */
public class FullwidthNumber2Halfwidth extends AbstractTextConverter {

	/**
	 * 全角英字→半角英字の変換を実施。
	 * @param c 変換元文字
	 * @return 変換後文字
	 */
	@Override
	public char convert(final char c) {
		// 全角数字→半角数字の変換
		if (c >= '０' && c <= '９') {
			return (char) (c - '０' + '0');
		}
		// 該当しない場合、そのまま
		return c;
	}
}
