package converter.text;

/**
 * 半角英字→全角英字の変換を行うクラス。
 * @author Honeplus
 * @version $Id: HalfwidthLatin2Fullwidth.java 23 2009-02-21 18:26:34Z Honeplus $
 */
public class HalfwidthLatin2Fullwidth extends AbstractTextConverter {

	/**
	 * 半角英字→全角英字の変換を実施。
	 * @param c 変換元文字
	 * @return 変換後文字
	 */
	@Override
	public char convert(final char c) {
		// 半角英字→全角英字の変換
		if (c >= 'a' && c <= 'z') {
			// 小文字
			return (char) (c - 'a' + 'ａ');
		} else if (c >= 'A' && c <= 'Z') {
			// 大文字
			return (char) (c - 'A' + 'Ａ');
		}
		// 該当しない場合、そのまま
		return c;
	}
}
