package converter.text;

/**
 * 半角数字→全角数字の変換を行うクラス。
 * @author Honeplus
 * @version $Id: HalfwidthNumber2Fullwidth.java 23 2009-02-21 18:26:34Z Honeplus $
 */
public class HalfwidthNumber2Fullwidth extends AbstractTextConverter {

	/**
	 * 半角英字→全角英字の変換を実施。
	 * @param c 変換元文字
	 * @return 変換後文字
	 */
	@Override
	public char convert(final char c) {
		// 半角数字→全角数字の変換
		if (c >= '0' && c <= '9') {
			return (char) (c - '0' + '０');
		}
		// 該当しない場合、そのまま
		return c;
	}
}
