package converter.text;

/**
 * ひらがな→全角カタカナの変換を行うクラス。
 * @author Honeplus
 * @version $Id: Hiragana2Katakana.java 24 2009-02-22 14:04:01Z Honeplus $
 */
public class Hiragana2Katakana extends AbstractTextConverter {

	/**
	 * ひらがな→全角カタカナの変換を実施。
	 * @param c 変換元文字
	 * @return 変換後文字
	 */
	@Override
	public char convert(final char c) {
		// ひらがな→全角カタカナ
		if (c >= 'ぁ' && c <= 'ゖ') {
			return (char) (c - 'ぁ' + 'ァ');
		}
		// 該当しない場合、そのまま
		return c;
	}
}
