package converter.text;

/**
 * 全角カタカナ→ひらがなの変換を行うクラス。
 * @author Honeplus
 * @version $Id: Katakana2Hiragana.java 24 2009-02-22 14:04:01Z Honeplus $
 */
public class Katakana2Hiragana extends AbstractTextConverter {

	/**
	 * <p>全角カタカナ→ひらがなの変換を実施。</p>
	 * <p>カタカナしかない文字「ヷヹヹヺ」については、変換しない。</p>
	 * @param c 変換元文字
	 * @return 変換後文字
	 */
	@Override
	public char convert(final char c) {
		// 全角カタカナ→ひらがな
		// カタカナはUNICODE上'ヺ'まであるが、ひらがなに該当する文字がないため変換しない
		if (c >= 'ァ' && c <= 'ヶ') {
			return (char) (c - 'ァ' + 'ぁ');
		}
		// 該当しない場合、そのまま
		return c;
	}
}
