package converter.text;

/**
 * 文字列変換処理を統一して扱うためのインタフェース。
 * @author Honeplus
 * @version $Id: TextConverter.java 23 2009-02-21 18:26:34Z Honeplus $
 */
public interface TextConverter {

	/**
	 * 文字列変換を実施。
	 * @param s 変換元文字列
	 * @return 変換後文字列
	 */
	String convert(String s);

	/**
	 * <p>文字変換を実施。</p>
	 * <p>1文字が1文字に変換できるもののみを対象とする。
	 * 理論上サポートできないパターン（半角カナの濁点など）も存在する。
	 * 対象外の場合は、{@link UnsupportedOperationException} を返すこと。</p>
	 * @param c 変換元文字
	 * @return 変換後文字
	 * @throws UnsupportedOperationException 1文字変換をサポートしない
	 */
	char convert(char c);
}
